Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jprofiler.api.platform.util
Class SignatureParser

    java.lang.Object
      com.jprofiler.api.platform.util.SignatureParser

    public abstract class SignatureParser

extends java.lang.Object

Helper class to parse a signature in JVM format. The JVM format for signatures is described in detail in the javadoc for `InterceptionMethod`.

Method Summary
`static java.lang.String` | `getVerbose(java.lang.String signature)` Returns a verbose form of the signature.
`static java.lang.String` | `getVerbose(java.lang.String signature, boolean formatted)` Returns a verbose form of the signature.
`static java.lang.String` | `getVerboseArguments(java.lang.String signature)` Returns a verbose form of the signature surrounded by parentheses.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getVerbose

    public static java.lang.String getVerbose(java.lang.String signature)

  Returns a verbose form of the signature. Same as `getVerbose(String, boolean)` with formatted set to `true`.

  Parameters:
    `signature` - the signature in JVM format
  Returns:
    the verbose form of the signature

### getVerbose

    public static java.lang.String getVerbose(java.lang.String signature,
                                              boolean formatted)

  Returns a verbose form of the signature.

  Parameters:
    `signature` - the signature in JVM format
    `formatted` - if arrays should be formatted for better readability
  Returns:
    the verbose form of the signature

### getVerboseArguments

    public static java.lang.String getVerboseArguments(java.lang.String signature)

  Returns a verbose form of the signature surrounded by parentheses.

  Parameters:
    `signature` - the signature in JVM format
  Returns:
    the verbose form of the signature with parentheses

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD